2019-08-24 00:22 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005207Spring engineGeneralpublic2018-03-10 01:37
Reporterjamerlan 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005207: BA: units are not following waypoints
Descriptiontake a look at the replay (attached)
at 05:20 some [teh]decay Thuds were not following waypoint. I placed a mark ingame to indicate that
They were going in opposite direction instead.

I had this bug in another "battles" so it's not an exception
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016175

hokomoko (developer)

Last edited: 2016-04-11 15:00

View 2 revisions

In the screenshot you can see what happened - In the low resolution PE they were thought to be on the cliff and a path was actually found, so they've started to follow it.

Not sure if this should be fixed before 102, as it means some non-trivial changes to the PF.

Next version I think it'd be best to check for each PF square which PE square is the closest reachable one and cache/update this. It would also help avoiding the small test of whether the goal PF square is reachable from its PE square

~0018872

Kloot (developer)

Fix 0cee2e4f3b8b6772da76e69826441db91c34edcc committed to develop branch: fix 0005207 w.h.p, repo: spring changeset id: 9775

~0018873

Kloot (developer)

Fix 879622fa94fd788ab8095cc05a33487b328da33d committed to maintenance branch: fix 0005207 w.h.p, repo: spring changeset id: 9776
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-04-10 23:32 jamerlan New Issue
2016-04-10 23:32 jamerlan File Added: 20160410_205658_DeltaSiegeDry_101.0.1-252-g76c7fe8 develop.sdfz
2016-04-11 13:30 hokomoko File Added: screen00000.jpg
2016-04-11 13:41 hokomoko Note Added: 0016175
2016-04-11 15:00 hokomoko Note Edited: 0016175 View Revisions
2018-03-10 01:35 Kloot Changeset attached => spring develop 0cee2e4f
2018-03-10 01:35 Kloot Note Added: 0018872
2018-03-10 01:35 Kloot Assigned To => Kloot
2018-03-10 01:35 Kloot Status new => resolved
2018-03-10 01:35 Kloot Resolution open => fixed
2018-03-10 01:37 Kloot Changeset attached => spring maintenance 879622fa
2018-03-10 01:37 Kloot Note Added: 0018873
+Issue History